# Bang

Queries AWS for running instances, then connects you to the one you want (via ssh or mosh) so that you don't have to keep everything in your head

## Installation

Add this line to your application's Gemfile:

    gem 'bang'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bang

## Usage

Make sure that these three environment variables are set
export AWS_ACCESS_KEY_ID='...''
export AWS_SECRET_ACCESS_KEY='...'
export AWS_IDENTITY='...' (your pem file)

We also look at AWS_REGION, but it's not mandatory to set (us-west-2 by default)

Then just run 'bang'

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request


## Features/problems:

- 'm' when highlighting a machine will mosh you to it.
- 's' or enter will ssh you to that machine.
- 'q' will close bang.

- Only looks at one PEM at a time
- Only looks at one region at a time
- Only does ubuntu@IP_ADDRESS machines
