# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bang/version'

Gem::Specification.new do |spec|
  spec.name          = "mmotw"
  spec.version       = Bang::VERSION
  spec.authors       = ["Marc Held"]
  spec.email         = ["marc@weft.io"]
  spec.description   = %q{Queries AWS for running instances, then connects you to the one you want (via ssh or mosh) so that you don't have to keep everything in your head}
  spec.summary       = %q{ssh/mosh to a list of your running AWS instances}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = ["bang"]
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "aws"
end
